/***
 * Created by Bryan Tai and Carolyn Shen Mar 25, 2016
 * Created for Project 4 of CPSC 314
*/

var environment = (function(){
  "use strict";
  /*** Module for Environment ***/
  var envEvents = {
	  "adminKey":0
  }; // environmental events
  
  // TODO - implementation is arbitrary; we can have event counter instead and do mod by 2
  function initializeEvent(e) { // e is a string
    envEvents[e] = 1;
  }
  
  function triggerEvent(e) {
	if(e in envEvents)
		envEvents[e]++;
	else
		initializeEvent(e);
  }
  
  function getEventState(e){
	return (e in envEvents) ? envEvents[e] : 0;
  }
  
  return {
    environmentalEvents : envEvents,
	triggerEvent: triggerEvent,
	getEventState:getEventState,
	initializeEvent:initializeEvent
  };
  
})();