/***
 * Created by Bryan Tai and Carolyn Shen Mar 25, 2016
 * Created for Project 4 of CPSC 314
*/

var hudControls = (function(){
  "use strict";
  /*** Module for HUD ***/
  var clueIconPaths = ["images/icons/password.png","images/icons/computer.svg","images/icons/gun.png","images/icons/bullets.png","images/icons/key.png","images/icons/card.svg"
  ];
	
function activateClue(clueNum){
	var imagePath = clueIconPaths[clueNum];
	var clue = "clue"+clueNum.toString();
	var divToChange = document.getElementById(clue);
	var elem = document.createElement("img");
	elem.src= imagePath;
	elem.setAttribute("height", "35");
	elem.setAttribute("width", "35");
	divToChange.innerHTML = '';
	divToChange.appendChild(elem);
  }
return {
	activateClue:activateClue
  };
})();