varying vec3 varNormal;
varying vec3 varEyeDir;
varying vec3 lightDirection;

uniform vec3 lightPosition;

void main() {
	varNormal = normalize(normalMatrix * normal);
	varEyeDir = normalize(-vec3(modelViewMatrix * vec4(position,1.0)));
	lightDirection = normalize(lightPosition-position);
	gl_Position = projectionMatrix *
                modelViewMatrix *
                vec4(position,1.0);
}